%define patch_name	kernel-fix-drivers-scsi

Name: %patch_name
Version: 2005.08.14
Release: alt1.M30.1

Summary: %patch_name - Linux kernel SCSI subsystem and drivers fixes
License: GPL
Group: Development/Kernel
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

# Patches for 2.4.x
%source	 1 	2.4_01_linux-2.4.8-ac7-sym53c8xx-fixes.patch		2.4
%source	 3 	2.4_03_linux-2.4.18-scsidevices.patch			2.4
%source	 4 	2.4_04_scsi-add-Ciprico-to-scsi-whitelist.patch		2.4
%source	 5 	2.4_05_scsi-verbose.patch				2.4
%source	 6 	2.4_06_scsi-sym53c8xx-duplicate-names-fix.patch		2.4
%source	 7 	2.4_07_scsi_proc_scsi_sd.patch				2.4

# Patches for 2.6.x
%source 2603	2.6_03_megaraid-legacy.patch				2.6
%source 2604	2.6_04_scsi-blacklist.patch				2.6
%source 2605	2.6_05_qla2xxx-init-fix.patch				2.6
%source 2606	2.6_06_qla2xxx-fc_remote_port_add-failure-fix.patch	2.6
%source 2607	2.6_07_megaraid-2.20.4.6-update.patch			2.6
%source 2608	2.6_08_sata_nv-MCP51-MCP55-support.patch		2.6
%source 2609	2.6_09_sata_nv-MCP55-support-2.patch			2.6
%source 2610	2.6_10_sata_nv-MCP51-MCP55-support-fix.patch		2.6
%source 2611	2.6_11_sata_svw-HT1000-support.patch			2.6
%source 2612	2.6_12_libata-bridge-limits.patch			2.6
%source 2613	2.6_13_libata-read-capacity-2tb-fix.patch		2.6
%source 2614	2.6_14_libata-translation-edge-cases.patch		2.6
%source 2615	2.6_15_fix-memory-leak-in-sg.c-seq_file.patch		2.6
%source 2616	2.6_16_sata_promise-pdc20619.patch			2.6
%source 2617	2.6_17_sata_promise-pdc40718.patch			2.6
%source 2618	2.6_18_sata_promise-pdc40519.patch			2.6
%source 2619	2.6_19_sata_promise-no-sata-phy-on-pata.patch		2.6


BuildArch: noarch
BuildRequires: kernel-build-tools

%description
Linux kernel SCSI subsystem and drivers fixes

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Mon Oct 24 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.08.14-alt1.M30.1
- Added:
  + 2.6_07_megaraid-2.20.4.6-update.patch: update megaraid_mbox driver to
    version 2.20.4.6 (adds support for all Dobson, Lindsay, and Verde based
    products regardless of the subsystem ID)
  + 2.6_08_sata_nv-MCP51-MCP55-support.patch: sata_nv: add PCI IDs for MCP51
    and MCP55 controllers
  + 2.6_09_sata_nv-MCP55-support-2.patch: sata_nv: fix MCP55 PCI ID and add one
    more ID for MCP55
  + 2.6_10_sata_nv-MCP51-MCP55-support-fix.patch: sata_nv: fix MCP51/MCP55
    support to use GENERIC type
  + 2.6_11_sata_svw-HT1000-support.patch: sata_svw: add PCI ID for SATA
    controller in the HT1000 (BCM5785) southbridge
  + 2.6_12_libata-bridge-limits.patch: libata: detect PATA->SATA bridges and
    apply workarounds
  + 2.6_13_libata-read-capacity-2tb-fix.patch: libata: fix read capacity
    handling for more than 2TB
  + 2.6_14_libata-translation-edge-cases.patch: libata: fix read/write
    translation edge cases (sector count == 0)
  + 2.6_15_fix-memory-leak-in-sg.c-seq_file.patch: sg: fix a memory leak in
    devices seq_file implementation
  + 2.6_16_sata_promise-pdc20619.patch: sata_promise: add PDC20619 chip support
    (Promise TX4000 controller)
  + 2.6_17_sata_promise-pdc40718.patch: sata_promise: add PDC40718 chip support
    (Promise SATA300 TX4 controller)
  + 2.6_18_sata_promise-pdc40519.patch: sata_promise: add PDC40519 chip support
    (Promise TX4200 controller)
  + 2.6_19_sata_promise-no-sata-phy-on-pata.patch: sata_promise: do not attempt
    to use SATA phy on PATA controllers

* Sun Aug 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.08.14-alt1
- Added:
  + 2.6_06_qla2xxx-fc_remote_port_add-failure-fix.patch: qla2xxx: correct
    handling of fc_remote_port_add() failure case

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.02-alt1
- Updated for kernel 2.6.12.
- Removed obsolete patches:
  - 2.6_00_aacraid-openoops.patch
  - 2.6_01_scsi-queue-lock.patch
  - 2.6_02_st_ioctl-CAP_ADMIN.patch
- Updated patches:
  + 2.6_04_scsi-blacklist.patch: removed entry already in 2.6.12
- Added patches for 2.6.12:
  + 2.6_05_qla2xxx-init-fix.patch: fix qla2xxx initialization problems

* Fri May 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.13-alt1
- Updated for kernel 2.6.11.
- Removed obsolete patches:
  - 2.6_00_002-pio_err_handling.patch
  - 2.6_00_057-scsi_ioctl_unknown_opcode.patch
  - 2.6_00_066-ibmvscsi_probe_delay_loop_fix.patch
  - 2.6_00_067-scsi_gdth_pci_map_sg.patch
  - 2.6_00_068-scsi_sd_read_capacity_LBD_bail.patch
- Added patches for 2.6:
  + 2.6_00_aacraid-openoops.patch: aacraid: fix oops on management device open
    for nonexistent controller
  + 2.6_01_scsi-queue-lock.patch: fix queue lock allocation for SCSI devices
    (fixes problems with hot unplugging, especially with the CFQ scheduler)
    https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=155472
  + 2.6_02_st_ioctl-CAP_ADMIN.patch: require CAP_ADMIN for SG_IO to tape drives
    (sending SCSI commands to the drive behind the back of the st driver may
    cause the device state to be inconsistent with the internal driver state
    and cause problems)
  + 2.6_03_megaraid-legacy.patch: enable both old and new megaraid drivers (the
    new megaraid_mbox driver does not support some devices which are supported
    by the old driver)
  + 2.6_04_scsi-blacklist.patch: blacklist some broken SCSI scanners which
    respond to all LUNs

* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.02.09-alt1
- Added patches from 2.6.10-as3:
  + 2.6_00_002-pio_err_handling.patch
  + 2.6_00_057-scsi_ioctl_unknown_opcode.patch
  + 2.6_00_066-ibmvscsi_probe_delay_loop_fix.patch
  + 2.6_00_067-scsi_gdth_pci_map_sg.patch
  + 2.6_00_068-scsi_sd_read_capacity_LBD_bail.patch

* Wed Oct 20 2004 Anton Farygin <rider@altlinux.ru> 2004.10.20-alt1
- removed obsoleted kernel 2.6 patches.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.10.17-alt1
- Updated for kernel 2.4.27.
- Removed obsolete patches:
   - 2.4_08_megaraid2-2.10.3.patch
   - 2.4_09_megaraid2-2.10.3-fix.patch

* Sun Sep 19 2004 LAKostis <lakostis at altlinux dot ru> 2004.08.16-alt1.1
- Removed:
  - 2.6_01_scsi_ioctl.c-allow_all_comands_if_write.patch - it didn't help too much
- Added:
  + 2.6_02_scsi_ioctl_revert.patch - this one works -
    see http://marc.theaimsgroup.com/?l=linux-kernel&m=109274144913931&w=2
    
* Mon Aug 16 2004 Anton Farygin <rider@altlinux.ru> 2004.08.16-alt1
- Removed obsolete patch:
    - 2.6_50_sata_sil-mod15write.patch
- Added:
    - 2.6_01_scsi_ioctl.c-allow_all_comands_if_write.patch: allow send all scsi commands 
    if device opened for write (workaround for k3b and other like k3b)

* Wed Jun 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.23-alt1
- Renamed patches with 2.4_/2.6_ prefixes.
- Added:
  + 2.6_50_sata_sil-mod15write.patch: fix Seagate+SiI3112 mod15write bug
    workaround broken by the LBA48 optimizations

* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Updated for kernel 2.4.26.
- Removed obsolete patches:
  - 02_linux-2.4.9-scsilun0.patch
  - 09_scsi_scan.patch
  - 10_hitachi-9960-lun.patch
- Added:
  + 08_megaraid2-2.10.3.patch: megaraid2 driver version 2.10.3 (fixes memory
    leaks in /proc diskdrives-ch<X> handler)
  + 09_megaraid2-2.10.3-fix.patch: fix trivial problem in the previous patch

* Thu Mar 18 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.18-alt1
- Added:
  + 10_hitachi-9960-lun.patch: make Hitachi 9960 Storage luns visible.

* Mon Feb 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.23-alt1
- Updated for 2.4.25.
- Removed obsolete patches (merged upstream):
  - 08_megaraid_update.patch
  - 10_megaraid2.patch
  - 11_qla_drivers_3.12.patch
  - 12_module_license.patch
  - 13_ips-update.patch
  - 14_blacklist-hp-Va7140.patch
  - 15_blacklist-nec-iStorage.patch
  - 16_sg-reserved-size-check.patch
  - 17_3ware-update.patch

* Mon Dec 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.15-alt1
- Added:
  + 17_3ware-update.patch: 3ware driver update for 2.4.23-bk2: Fix
    tw_ioctl() to handle all non-data ATA passthru cmds for
    'smartmontools' support.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.18-alt1
- Added:
  + 16_sg-reserved-size-check.patch: Do not accept negative sizes in
    SG_SET_RESERVED_SIZE

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- Added:
  + 14_blacklist-hp-Va7140.patch
  + 15_blacklist-nec-iStorage.patch
- Updated:
  + 04_scsi-add-Ciprico-to-scsi-whitelist.patch
  + 08_megaraid_update.patch
  + 10_megaraid2.patch

* Sun Oct 26 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.26-alt1
- Added 13_ips-update.patch: ServeRAID 6.10 Driver Update

* Tue Sep 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.16-alt1
- added 12_module_license.patch: add missing MODULE_LICENSE

* Mon Sep 01 2003 Rider <rider@altlinux.ru> 2003.09.01-alt1
- removed aacraid_update_to_1.1.2.patch (in mainstream)
- update some patches to 2.4.22 kernel

* Mon Aug  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.08.04-alt1
- aacraid driver updated to v.1.1.2 (aacraid_update_to_1.1.2.patch added)

* Wed Jul 30 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.07.30-alt1
- added qla_drivers_3.12 patch, updates qla1280 to 3.12 version.

* Tue Jul 29 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.06.28-alt7
- added megaraid_update, updates megaraid.c to 1.18i
- added megaraid2, adds megaraid driver series 2.00

* Mon Jul 28 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.06.28-alt6
- removed scsi-megaraid-update patch, waiting for upstream included
- added megaraid-fix-braces patch that adds missing {} in driver
- added scsi_scan patch that fixes problems during scsi bus scanning

* Tue Jul 22 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.06.28-alt5
- scsi-megaraid-update patch added

* Fri Jul  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.28-alt4
- scsi_proc_scsi_sd patch added

* Fri Jul  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.28-alt3
- spec typos fixed

* Tue Jul  1 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.28-alt2
- spec improvements: using %%source and %%install_patches macros

* Sat Jun 28 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.28-alt1
- Initial release

